[BETA] Invite Vendors
curl --request POST \
--url https://api.topsort.com/public/v1/invitation-service/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invites": [
{
"vendorId": "<string>",
"vendorEmail": "jsmith@example.com",
"targetUserRole": "vendor_analyst"
}
]
}
'import requests
url = "https://api.topsort.com/public/v1/invitation-service/invitations"
payload = { "invites": [
{
"vendorId": "<string>",
"vendorEmail": "jsmith@example.com",
"targetUserRole": "vendor_analyst"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invites: [
{
vendorId: '<string>',
vendorEmail: 'jsmith@example.com',
targetUserRole: 'vendor_analyst'
}
]
})
};
fetch('https://api.topsort.com/public/v1/invitation-service/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Invitation API
[BETA] Invite Vendors
Invites a collection of Vendors to the Topsort platform.
The request payload should contain an array of pairs of vendor’s ID, and email.
POST
/
public
/
v1
/
invitation-service
/
invitations
[BETA] Invite Vendors
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Body
application/json
A list of vendors to invite to the Topsort platform. The IDs provided must already exist on the catalog.
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Response
Successful Response
Was this page helpful?
⌘I